Integračná dokumentácia Help

REST API

Bowa eKasa supports remote script execution through a simple interface. For integrators, a simple Java class is provided for executing scripts.

Usage

Installation type

notes

eKasa

áno

eKasa + POS

áno

POS

áno

REST Api is part of FM middleware and is run together with eKasa

Properties

  • Scripts are stored in RAM, i.e., non-persistently - executed scripts before device restart cannot be retrieved after restart.

  • Scripts are executed asynchronously, i.e., a script is queued for processing, and it is possible to query the processing status using the API endpoint.

Endpoint definition

If integration into another language is needed, direct utilization of the REST Server endpoints is possible

Authenticate

Generation of authentication token

Content-Type: application/json GET http://127.0.0.1:48080/api/authenticate { "userName":"admin", "password":"1111" }

Bearer token is received as a reply. It must be stored and used for further communication. It is valid for 1 hour.

Queueing Pegas script for processing

Content-Type: application/json POST http://127.0.0.1:48080/api/pegas-script POST /api/pegas-script HTTP/1.1 Host: 127.0.0.1:48080 Authorization: Bearer 34cdbf847f579409a876d250454a361a { "pegasScript":"getVariable:B51\r\n" }

ID of script is received as a reply. To get a result, you need to get this task ID in further step

Retrieving processing status

Content-Type: application/json GET http://127.0.0.1:48080/api/tasks/0 Authorization: Bearer 34cdbf847f579409a876d250454a361a GET /api/tasks/1 HTTP/1.1 Host: 127.0.0.1:48080

HOST - IP adress of device where REST should connect

Examples for eKasa

Examples for POS

Last modified: 23 februára 2026